package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.AnexoProcesso;
import br.com.centralit.api.viewHelper.AnexarProcessoVH;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * 
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 10/02/2016 - 16:42:54
 * 
 * @version 1.0.0
 * 
 * @author andre.silva
 * 
 */
public interface AnexarProcessoDao extends CitGenericDAO {

	/**
	 * 
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por buscar todos processos anexos.
	 * 
	 * @author andre.silva
	 * 
	 * @param id
	 * @return
	 */
	Collection<AnexoProcesso> findByIdProcesso(Long id);

	/**
	 * 
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por
	 * 
	 * @author andre.silva
	 * 
	 * @param idProcesso
	 * @param idProcessoAnexado
	 * @return
	 */
	AnexoProcesso anexoProcessoByIdProcesso(Long idProcesso, Long idProcessoAnexado);

	/**
	 * 
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por
	 * 
	 * @author andre.silva
	 * 
	 * @param id
	 * @return
	 */
	Collection<AnexoProcesso> findByIdAnexoProcesso(Long id);
	
	
	boolean isExisteAnexoProcesso(Long idProcessoAnexado);
	

}
