package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.ConfiguracaoUsuarioUnidade;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;
import br.com.centralit.framework.model.Usuario;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 08/12/2015 - 09:49:58
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface ConfiguracaoUsuarioUnidadeDao extends CitGenericDAO {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar configuracaoUnidade através do usuario logado e organização ativa
	 * 
	 * @author rogerio.costa
	 * 
	 * @param usuario
	 * @return Collection<ConfiguracaoUsuarioUnidade>
	 */
	Collection<ConfiguracaoUsuarioUnidade> findPorUsuarioOrganizacao(Usuario usuario);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por
	 * 
	 * @author rogerio.costa
	 * 
	 * @param id
	 * @return
	 */
	Collection<ConfiguracaoUsuarioUnidade> findPorIdEstruturaOrganizacionalECM(Long id);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar usuarios através da unidade e username
	 * 
	 * @author rogerio.costa
	 * 
	 * @param username
	 * @param idUnidade
	 * @return Collection<Usuario>
	 */
	Collection<ConfiguracaoUsuarioUnidade> findPorUsernameUsuarioAndUnidade(String username, Long idUnidade);

}
