package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.CredencialProcesso;
import br.com.centralit.api.model.HistoricoCredencialProcesso;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 11/03/2016 - 15:47:16
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface HistoricoCredencialProcessoDao extends CitGenericDAO {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar através do id do processo e processoRemocao
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idProcesso
	 * 
	 * @return Collection<HistoricoCredencialProcesso>
	 */
	Collection<HistoricoCredencialProcesso> findByIdProcessoAndIdProcessoRemocao(Long idProcesso);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar através da credencial e credenciado
	 * 
	 * @author rogerio.costa
	 * 
	 * @param credencialProcesso
	 * 
	 * @return HistoricoCredencialProcesso
	 */
	HistoricoCredencialProcesso findByCredencialAndCredenciado(CredencialProcesso credencialProcesso);

}
