package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.ProcessoRelacionado;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface ProcessoRelacionadoDao extends CitGenericDAO {

	public Collection<ProcessoRelacionado> findByIdProcesso(Long id);

	/**
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por
	 *
	 * @author maycon.silva
	 *
	 * @param idProcesso (Processo Pai)
	 * @param idProcessoRelacionado (Processo Filho)
	 * @return
	 */
	public ProcessoRelacionado processoRelacionadoByIdProcesso(Long idProcesso, Long idProcessoRelacionado);

}
