package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.TipoDocumento;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface TipoDocumentoDao extends CitGenericDAO {

	public Collection<TipoDocumento> getTipoDocumentoByNome(String nome);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por obter através do nome
	 * 
	 * @author rogerio.costa
	 * 
	 * @param nome
	 * 
	 * @return DocumentoGed
	 */
	TipoDocumento obterPorNome(String nome);

}
