package br.com.centralit.api.dao.impl;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.AcaoHistoricoAlteracaoProcessoDao;
import br.com.centralit.api.model.AcaoHistoricoAlteracaoProcesso;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 16/12/2015 - 15:37:25
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Repository("acaoHistoricoAlteracaoProcessoDao")
public class AcaoHistoricoAlteracaoProcessoDaoHibernate extends CitGenericDAOImpl implements AcaoHistoricoAlteracaoProcessoDao {

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public AcaoHistoricoAlteracaoProcessoDaoHibernate() {

		super(AcaoHistoricoAlteracaoProcesso.class);
	}

	@Override
	public AcaoHistoricoAlteracaoProcesso findByChave(String chave) {

		SearchSeven searchSeven = new SearchSeven();

		searchSeven.addFilterEqual("chave", chave);

		return this.searchUnique(searchSeven);
	}

}
