package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.NivelAcessoTipoDocumentoDao;
import br.com.centralit.api.model.NivelAcessoTipoDocumento;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 10/11/2015 - 08:49:16
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Repository("nivelAcessoTipoDocumento")
public class NivelAcessoTipoDocumentoDaoHibernate extends CitGenericDAOImpl implements NivelAcessoTipoDocumentoDao {

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public NivelAcessoTipoDocumentoDaoHibernate() {

		super(NivelAcessoTipoDocumento.class);
	}

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar por id do tipoDocumento
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * 
	 * @return Collection<NivelAcessoTipoProcesso>
	 */
	public Collection<NivelAcessoTipoDocumento> findPorIdTipoDocumento(Long idTipoDocumento) {

		SearchSeven search = new SearchSeven();

		search.addFilterEqual("tipoDocumento.id", idTipoDocumento);

		return this.search(search);

	}

}
