package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.NivelAcessoTipoProcessoDao;
import br.com.centralit.api.model.NivelAcessoTipoProcesso;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 09/11/2015 - 17:16:34
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Repository("nivelAcessoTipoProcesso")
public class NivelAcessoTipoProcessoDaoHibernate extends CitGenericDAOImpl implements NivelAcessoTipoProcessoDao {

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public NivelAcessoTipoProcessoDaoHibernate() {

		super(NivelAcessoTipoProcesso.class);
	}

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar por id do tipoProcesso
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * @return
	 */
	public Collection<NivelAcessoTipoProcesso> findPorIdTipoProcesso(Long idTipoProcesso) {

		SearchSeven search = new SearchSeven();

		search.addFilterEqual("tipoProcesso.id", idTipoProcesso);
		search.addSortAsc("nivelAcesso.nome");
		
		return this.search(search);

	}

}
