package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import com.googlecode.genericdao.search.Filter;

import br.com.centralit.api.dao.ReabrirProcessoDao;
import br.com.centralit.api.model.ReabrirProcesso;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;


/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 01/04/2016 - 19:13:47
 *
 * @version 1.0.0
 *
 * @author maycon.silva
 *	
 */
@Repository("reabrirProcessoDao")
public class ReabrirProcessoDaoHibernate extends CitGenericDAOImpl implements ReabrirProcessoDao{

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public ReabrirProcessoDaoHibernate() {

		super(ReabrirProcesso.class);
	}

	@Override
	public Collection<ReabrirProcesso> findSolicitacaoEmAberto() {

		SearchSeven searchSeven = new SearchSeven();

		searchSeven.addFilter(Filter.equal("validado", false));

		return super.search(searchSeven);

	}
	
	

}
