package br.com.centralit.api.security;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.access.expression.SecurityExpressionOperations;
import org.springframework.security.authentication.AuthenticationTrustResolverImpl;
import org.springframework.security.core.Authentication;
import org.springframework.security.web.FilterInvocation;
import org.springframework.security.web.access.expression.DefaultWebSecurityExpressionHandler;
import org.springframework.security.web.access.expression.WebSecurityExpressionRoot;

import br.com.centralit.api.service.CredencialProcessoService;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 05/04/2016 - 14:09:28
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public class CustomExpressionHandler extends DefaultWebSecurityExpressionHandler {

	/** Atributo credencialProcessoService. */
	@Autowired
	private CredencialProcessoService credencialProcessoService;

	@Override
	protected SecurityExpressionOperations createSecurityExpressionRoot(Authentication authentication, FilterInvocation fi) {

		WebSecurityExpressionRoot root = new CustomWebSecurityExpresssionRoot(authentication, fi, credencialProcessoService);
		root.setPermissionEvaluator(this.getPermissionEvaluator());
		root.setTrustResolver(new AuthenticationTrustResolverImpl());
		root.setRoleHierarchy(this.getRoleHierarchy());
		return root;
	}
}
