package br.com.centralit.api.service;

import java.security.NoSuchAlgorithmException;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 30/04/2016 - 13:47:33
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface AssinaturaUtilService {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por assinar o documento
	 * 
	 * @author rogerio.costa
	 * 
	 * @param mensagem
	 * @return byte[]
	 * @throws Exception
	 */
	byte[] geraAssinatura(byte[] conteudo) throws Exception;

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por gerar o hash do documento
	 * 
	 * @author rogerio.costa
	 * 
	 * @param doc
	 * @return
	 * @throws NoSuchAlgorithmException
	 */
	byte[] gerarHash(byte[] doc) throws NoSuchAlgorithmException;

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por por gerar o hash do documento
	 * 
	 * @author rogerio.costa
	 * 
	 * @param doc
	 * @return
	 * @throws NoSuchAlgorithmException
	 */
	String gerarHash(String doc) throws NoSuchAlgorithmException;

}
