package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.HipoteseLegal;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface HipoteseLegalService extends GenericService<HipoteseLegal, Long> {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar através do nivelAcesso
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idNivelAcesso
	 * 
	 * @return Collection<HipoteseLegal>
	 */
	Collection<HipoteseLegal> findPorNivelAcesso(Long idNivelAcesso);

}
