package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.NivelAcessoTipoDocumento;
import br.com.centralit.api.model.TipoDocumento;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 10/11/2015 - 08:50:55
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface NivelAcessoTipoDocumentoService extends GenericService<NivelAcessoTipoDocumento, Long> {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar por id do tipoDocumento
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * 
	 * @return Collection<NivelAcessoTipoProcesso>
	 */
	Collection<NivelAcessoTipoDocumento> findPorIdTipoDocumento(Long idTipoDocumento);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por remover entidade
	 * 
	 * @author rogerio.costa
	 * 
	 * @param tipoDocumento
	 */
	void removeNivelAcesso(TipoDocumento tipoDocumento);

}
