package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.NivelAcessoTipoProcesso;
import br.com.centralit.api.model.TipoProcesso;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 09/11/2015 - 17:21:50
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public interface NivelAcessoTipoProcessoService extends GenericService<NivelAcessoTipoProcesso, Long> {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar por id do tipoProcesso
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * @return
	 */
	Collection<NivelAcessoTipoProcesso> findPorIdTipoProcesso(Long idTipoProcesso);

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por remover
	 * 
	 * @author rogerio.costa
	 * 
	 * @param tipoProcesso
	 */
	void removeNivelAcesso(TipoProcesso tipoProcesso);
}
