package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.ProcessoRelacionado;
import br.com.centralit.api.viewHelper.ProcessoRelacionadoVH;
import br.com.centralit.framework.service.arquitetura.GenericService;

public interface ProcessoRelacionadoService extends GenericService<ProcessoRelacionado, Long> {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por
	 * 
	 * @author maycon.silva
	 * 
	 * @param processoRelacionadoVH
	 * @return
	 */
	ProcessoRelacionadoVH salvarProcessoRelacionado(ProcessoRelacionadoVH processoRelacionado);

	Collection<ProcessoRelacionado> findByIdProcesso(Long idProcesso);

	boolean removerProcessoRelacionado(ProcessoRelacionadoVH processoRelacionadoVH);

}
