package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.AcaoHistoricoAlteracaoProcessoDao;
import br.com.centralit.api.model.AcaoHistoricoAlteracaoProcesso;
import br.com.centralit.api.service.AcaoHistoricoAlteracaoProcessoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 16/12/2015 - 15:40:28
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("acaoHistoricoAlteracaoProcessoService")
public class AcaoHistoricoAlteracaoProcessoServiceImpl extends GenericServiceImpl<AcaoHistoricoAlteracaoProcesso, Long> implements
		AcaoHistoricoAlteracaoProcessoService {

	/** Atributo anexoGedDao. */
	private AcaoHistoricoAlteracaoProcessoDao acaoHistoricoAlteracaoProcessoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param acaoHistoricoAlteracaoProcessoDao
	 */
	@Autowired
	private AcaoHistoricoAlteracaoProcessoServiceImpl( AcaoHistoricoAlteracaoProcessoDao acaoHistoricoAlteracaoProcessoDao ) {

		this.dao = acaoHistoricoAlteracaoProcessoDao;

		this.acaoHistoricoAlteracaoProcessoDao = acaoHistoricoAlteracaoProcessoDao;

	}

	@Override
	public AcaoHistoricoAlteracaoProcesso findByChave(String chave) {

		return acaoHistoricoAlteracaoProcessoDao.findByChave(chave);
	}

}
