package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.CancelamentoDocumentoGedDao;
import br.com.centralit.api.model.CancelamentoDocumentoGed;
import br.com.centralit.api.service.CancelamentoDocumentoGedService;
import br.com.centralit.api.service.DocumentoGedService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 19/01/2016 - 16:35:36
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("cancelamentoDocumentoGedService")
public class CancelamentoDocumentoGedServiceImpl extends GenericServiceImpl<CancelamentoDocumentoGed, Long> implements CancelamentoDocumentoGedService {

	/** Atributo cancelamentoDocumentoGedDao. */
	private CancelamentoDocumentoGedDao cancelamentoDocumentoGedDao;

	/** Atributo documentoGedService. */
	@Autowired
	private DocumentoGedService documentoGedService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param cancelamentoDocumentoGedDao
	 */
	@Autowired
	public CancelamentoDocumentoGedServiceImpl( CancelamentoDocumentoGedDao cancelamentoDocumentoGedDao ) {
		
		this.dao = cancelamentoDocumentoGedDao;

		this.cancelamentoDocumentoGedDao = cancelamentoDocumentoGedDao;

	}

	@Override
	public CancelamentoDocumentoGed save(CancelamentoDocumentoGed entity) {

		entity.setDocumentoGed(this.documentoGedService.getReference(entity.getDocumentoGed().getId()));
		
		entity.getDocumentoGed().setCancelado(Boolean.TRUE);

		return super.save(entity);
	}
}
