package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.CredencialDocumentoDao;
import br.com.centralit.api.model.CredencialDocumento;
import br.com.centralit.api.service.CredencialDocumentoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 08/03/2016 - 16:50:23
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("credencialDocumentoService")
public class CredencialDocumentoServiceImpl extends GenericServiceImpl<CredencialDocumento, Long> implements CredencialDocumentoService {

	/** Atributo credencialDocumentoDao. */
	private CredencialDocumentoDao credencialDocumentoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param credencialDocumentoDao
	 */
	@Autowired
	public CredencialDocumentoServiceImpl( CredencialDocumentoDao credencialDocumentoDao ) {

		this.dao = credencialDocumentoDao;

		this.credencialDocumentoDao = credencialDocumentoDao;
	}
}
