package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.validation.Validator;

import br.com.centralit.api.dao.InteressadoProcessoDao;
import br.com.centralit.api.model.InteressadoProcesso;
import br.com.centralit.api.service.InteressadoProcessoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

@Service("interessadoProcessoService")
public class InteressadoProcessoServiceImpl extends GenericServiceImpl<InteressadoProcesso, Long> implements InteressadoProcessoService {

    private InteressadoProcessoDao interessadoProcessoDao;

    @Autowired
	public InteressadoProcessoServiceImpl(InteressadoProcessoDao interessadoProcessoDao,  @Qualifier("interessadoProcessoValidator") Validator validator) {
    	this.dao = interessadoProcessoDao;
        this.interessadoProcessoDao = interessadoProcessoDao;
    	this.validator = validator;
	}
    
}
