package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.TipoSuporteDocumentoDao;
import br.com.centralit.api.model.TipoSuporteDocumento;
import br.com.centralit.api.service.TipoSuporteDocumentoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 04/04/2016 - 15:02:14
 *
 * @version 1.0.0
 *
 * @author andre.silva
 *
 */
@Service("tipoSuporteDocumentoService")
public class TipoSuporteDocumentoServiceImpl extends GenericServiceImpl<TipoSuporteDocumento, Long> implements TipoSuporteDocumentoService {

	/** Atributo tipoSuporteDocumentoDao. */
	@SuppressWarnings("unused")
	private TipoSuporteDocumentoDao tipoSuporteDocumentoDao;

	/**
	 * 
	 * Responsável pela criação de novas instâncias desta classe.
	 * @param tipoSuporteDocumentoDao
	 */
	@Autowired
	public TipoSuporteDocumentoServiceImpl( TipoSuporteDocumentoDao tipoSuporteDocumentoDao ) {

		this.dao = tipoSuporteDocumentoDao;

		this.tipoSuporteDocumentoDao = tipoSuporteDocumentoDao;
	}
}
