package br.com.centralit.api.viewHelper;

import java.io.Serializable;
import java.util.List;

import br.com.centralit.api.model.UnidadeProcesso;
import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 06/01/2016 - 14:43:42
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public class EnviarProcessoVH implements Serializable {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = -6156614415426791748L;

	/** Atributo gruposProcessoList. */
	@JsonView({ Views.EnviarProcessoView.class })
	private List<UnidadeProcesso> unidadesProcessoList;

	/** Atributo idProcesso. */
	@JsonView({ Views.EnviarProcessoView.class })
	private Long idProcesso;

	/** Atributo concluirProcesso. */
	private Boolean concluirProcesso;

	/** Atributo idTask. */
	private Long idTask;

	/**
	 * Retorna o valor do atributo <code>unidadesProcessoList</code>
	 * 
	 * @return <code>List<UnidadeProcesso></code>
	 */
	public List<UnidadeProcesso> getUnidadesProcessoList() {

		return unidadesProcessoList;
	}

	/**
	 * Define o valor do atributo <code>unidadesProcessoList</code>.
	 * 
	 * @param unidadesProcessoList
	 */
	public void setUnidadesProcessoList(List<UnidadeProcesso> unidadesProcessoList) {

		this.unidadesProcessoList = unidadesProcessoList;
	}

	/**
	 * Retorna o valor do atributo <code>idProcesso</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getIdProcesso() {

		return idProcesso;
	}

	/**
	 * Define o valor do atributo <code>idProcesso</code>.
	 * 
	 * @param idProcesso
	 */
	public void setIdProcesso(Long idProcesso) {

		this.idProcesso = idProcesso;
	}

	/**
	 * Retorna o valor do atributo <code>concluirProcesso</code>
	 * 
	 * @return <code>Boolean</code>
	 */
	public Boolean getConcluirProcesso() {

		return concluirProcesso;
	}

	/**
	 * Define o valor do atributo <code>concluirProcesso</code>.
	 * 
	 * @param concluirProcesso
	 */
	public void setConcluirProcesso(Boolean concluirProcesso) {

		this.concluirProcesso = concluirProcesso;
	}

	/**
	 * Retorna o valor do atributo <code>idTask</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getIdTask() {

		return idTask;
	}

	/**
	 * Define o valor do atributo <code>idTask</code>.
	 * 
	 * @param idTask
	 */
	public void setIdTask(Long idTask) {

		this.idTask = idTask;
	}

}
