package br.com.centralit.api.viewHelper;

import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 10/03/2016 - 10:12:33
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public class GrupoUsuarioVH {

	/** Atributo id. */
	@JsonView({ Views.GenericView.class })
	private Long id;

	/** Atributo nome. */
	@JsonView({ Views.GenericView.class })
	private String nome;

	/** Atributo nomeUnidade. */
	@JsonView({ Views.GenericView.class })
	private String nomeUnidade;

	/** Atributo codigo. */
	@JsonView({ Views.GenericView.class })
	private Long codigo;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public GrupoUsuarioVH() {

		super();
	}

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param id
	 * @param nome
	 * @param nomeUnidade
	 * @param codigo
	 */
	public GrupoUsuarioVH( Long id, String nome, String nomeUnidade, Long codigo ) {

		this.id = id;
		this.nome = nome;
		this.nomeUnidade = nomeUnidade;
		this.codigo = codigo;
	}

	/**
	 * Retorna o valor do atributo <code>nome</code>
	 * 
	 * @return <code>String</code>
	 */
	public String getNome() {

		return nome;
	}

	/**
	 * Define o valor do atributo <code>nome</code>.
	 * 
	 * @param nome
	 */
	public void setNome(String nome) {

		this.nome = nome;
	}

	/**
	 * Retorna o valor do atributo <code>nomeUnidade</code>
	 * 
	 * @return <code>String</code>
	 */
	public String getNomeUnidade() {

		return nomeUnidade;
	}

	/**
	 * Define o valor do atributo <code>nomeUnidade</code>.
	 * 
	 * @param nomeUnidade
	 */
	public void setNomeUnidade(String nomeUnidade) {

		this.nomeUnidade = nomeUnidade;
	}

	/**
	 * Retorna o valor do atributo <code>id</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getId() {

		return id;
	}

	/**
	 * Define o valor do atributo <code>id</code>.
	 * 
	 * @param id
	 */
	public void setId(Long id) {

		this.id = id;
	}

	/**
	 * Retorna o valor do atributo <code>codigo</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getCodigo() {

		return codigo;
	}

	/**
	 * Define o valor do atributo <code>codigo</code>.
	 * 
	 * @param codigo
	 */
	public void setCodigo(Long codigo) {

		this.codigo = codigo;
	}

}
