package br.com.centralit.api.viewHelper;

import com.fasterxml.jackson.annotation.JsonView;

import br.com.centralit.framework.json.Views;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 15/03/2016 - 14:33:05
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public class HerancaSistemaVH {

	/** Atributo id. */
	@JsonView({ Views.GenericView.class })
	private Long id;

	/** Atributo nome. */
	@JsonView({ Views.GenericView.class })
	private String nome;

	/** Atributo nomeUnidade. */
	@JsonView({ Views.GenericView.class })
	private String nomeUnidade;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param nome
	 * @param nomeUnidade
	 * @param id
	 */
	public HerancaSistemaVH( Long id, String nome, String nomeUnidade ) {

		this.id = id;
		this.nome = nome;
		this.nomeUnidade = nomeUnidade;
	}

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public HerancaSistemaVH() {

		super();
	}

	/**
	 * Retorna o valor do atributo <code>nome</code>
	 * 
	 * @return <code>String</code>
	 */
	public String getNome() {

		return nome;
	}

	/**
	 * Define o valor do atributo <code>nome</code>.
	 * 
	 * @param nome
	 */
	public void setNome(String nome) {

		this.nome = nome;
	}

	/**
	 * Retorna o valor do atributo <code>nomeUnidade</code>
	 * 
	 * @return <code>String</code>
	 */
	public String getNomeUnidade() {

		return nomeUnidade;
	}

	/**
	 * Define o valor do atributo <code>nomeUnidade</code>.
	 * 
	 * @param nomeUnidade
	 */
	public void setNomeUnidade(String nomeUnidade) {

		this.nomeUnidade = nomeUnidade;
	}

}
