package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.Cabecalho;
import br.com.centralit.api.service.CabecalhoService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 09/02/2016 - 09:55:27
 *
 * @version 1.0.0
 *
 * @author rogerio
 *
 */
@Controller
@RequestMapping("/rest/cabecalho")
public class CabecalhoController extends GenericController<Cabecalho> {

	/** Atributo cabecalhoDao. */
	private CabecalhoService cabecalhoService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param cabecalhoService
	 */
	@Autowired
	public CabecalhoController( CabecalhoService cabecalhoService ) {

		super(cabecalhoService);

		this.cabecalhoService = cabecalhoService;
	}

	@Override
	public Class<ViewsEcm.CabecalhoEditView> getEditView() {

		return ViewsEcm.CabecalhoEditView.class;
	}

	@Override
	public Class<ViewsEcm.CabecalhoListView> getListView() {

		return ViewsEcm.CabecalhoListView.class;
	}

	@Override
	public Class<ViewsEcm.CabecalhoAutoCompleteView> getAutoCompleteView() {

		return ViewsEcm.CabecalhoAutoCompleteView.class;
	}

}
