package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.CancelamentoDocumentoGed;
import br.com.centralit.api.service.CancelamentoDocumentoGedService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>	
 * 
 * @since 19/01/2016 - 16:51:58
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Controller
@RequestMapping("/rest/cancelamentoDocumentoGed")
public class CancelamentoDocumentoGedController extends GenericController<CancelamentoDocumentoGed> {

	/** Atributo cancelamentoDocumentoGedService. */
	private CancelamentoDocumentoGedService cancelamentoDocumentoGedService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param cancelamentoDocumentoGedService
	 */
	@Autowired
	public CancelamentoDocumentoGedController( CancelamentoDocumentoGedService cancelamentoDocumentoGedService ) {

		super(cancelamentoDocumentoGedService);

		this.cancelamentoDocumentoGedService = cancelamentoDocumentoGedService;
	}

	@Override
	public Class<ViewsEcm.CancelamentoDocumentoView> getEditView() {

		return ViewsEcm.CancelamentoDocumentoView.class;
	}

}
