package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.TipoDocumentoPlanoClassificacao;
import br.com.centralit.api.service.TipoDocumentoPlanoClassificacaoService;
import br.com.centralit.framework.controller.GenericController;

@Controller
@RequestMapping("/rest/tipoDocumentoPlanoClassificacao")
public class TipoDocumentoPlanoClassificacaoController extends GenericController<TipoDocumentoPlanoClassificacao> {

	@Autowired
	public TipoDocumentoPlanoClassificacaoController( TipoDocumentoPlanoClassificacaoService tipoDocumentoPlanoClassificacaolService ) {

		super(tipoDocumentoPlanoClassificacaolService);
	}

	@Override
	public Class<ViewsEcm.TipoDocumentoPlanoClassificacaoAutoCompleteView> getAutoCompleteView() {

		return ViewsEcm.TipoDocumentoPlanoClassificacaoAutoCompleteView.class;
	}

}
