'use strict';

citApp.factory('EstruturaOrganizacionalECMRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function EstruturaOrganizacionalECMRepository() {
    	
    	this.findPorNomeEstruturaOrganizacional = function(nome) {
			return restangularEcm.one(this.route).getList("findPorNomeEstruturaOrganizacional", {"nome": nome}).then();
		};
    	
    	//Recupera os dados do patrimonio de uma estrutura organizacional
    	this.getByEstruturaOrganizacional = function(estruturaOrganizacional) {
    		return restangularEcm.one(this.route + "/getByEstruturaOrganizacional").get({"idEstruturaOrganizacional" : estruturaOrganizacional.id});
    	};

    	AbstractRepository.call(this, restangularEcm, 'rest/estruturaOrganizacionalECM');  	

    }

    AbstractRepository.extend(EstruturaOrganizacionalECMRepository);

    return new EstruturaOrganizacionalECMRepository();
}]);
