'use strict';

citApp.factory('HipoteseLegalRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function HipoteseLegalRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/hipoteseLegal');
    	
    	this.findPorNivelAcesso = function(idNivelAcesso) {
			return restangularEcm.one(this.route).getList("findPorNivelAcesso", {"idNivelAcesso": idNivelAcesso}).then();
		};
    }

    AbstractRepository.extend(HipoteseLegalRepository);

    return new HipoteseLegalRepository();
}]);
