'use strict';

citApp.factory('JustificativaAcaoProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {
 	
	function JustificativaAcaoProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/justificativaAcaoProcesso');
    	
       	this.listByIdProcesso = function(idProcesso) {
    		return restangularEcm.one(this.route).getList("listByIdProcesso", {idProcesso : idProcesso}).then();
    	};
    	
    }

    AbstractRepository.extend(JustificativaAcaoProcessoRepository);

    return new JustificativaAcaoProcessoRepository();
}]);
