'use strict';

citApp.factory('NivelAcessoTipoDocumentoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function NivelAcessoTipoDocumentoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/nivelAcessoTipoDocumento');
    	

    	this.findPorIdTipoDocumento = function(idTipoDocumento) {
    		return restangularEcm.one(this.route).getList("findPorIdTipoDocumento",   {idTipoDocumento : idTipoDocumento}).then();
    	};
    	
    	this.findAll = function() {
    		return restangularEcm.one(this.route).getList("findAllNivelAcesso").then();
    	};
    }

    AbstractRepository.extend(NivelAcessoTipoDocumentoRepository);

    return new NivelAcessoTipoDocumentoRepository();
}]);
