'use strict';

citApp.factory('TipoDocumentoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function TipoDocumentoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/tipoDocumento');
    	
    	this.verificaDuplicidadeNome = function(nome) {
			return restangularEcm.one(this.route + '/verificaDuplicidadeNome').get({"nome": nome}).then();
		};
    }

    AbstractRepository.extend(TipoDocumentoRepository);

    return new TipoDocumentoRepository();
}]);
