'use strict';

citApp.factory('TipoProcessoPlanoClassificacaoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function TipoProcessoPlanoClassificacaoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/tipoProcessoPlanoClassificacao');
    	

		this.findPorTipoProcesso = function(idTipoProcesso) {
			return restangularEcm.one(this.route).getList("findPorTipoProcesso", {"idTipoProcesso": idTipoProcesso}).then();
		};
    }

    AbstractRepository.extend(TipoProcessoPlanoClassificacaoRepository);

    return new TipoProcessoPlanoClassificacaoRepository();
}]);