package br.com.centralit.api.dao;

import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;


/**
 * <p><b>Title: </b></p>
 * <p><b>Description: </b></p>
 * 
 * @since 22/04/2016 - 11:52:08
 * @author rogerio.cassimiro
 *	
 */
public interface AssinaturaDao extends CitGenericDAO{

	/**
	 * Método responsável por validar se o usuário já teve assinatura anterior para o documento informado
	 * @author rogerio.cassimiro
	 * @param idDocumento
	 * @param idUsuario
	 * @return {@link Boolean}
	 */
	Boolean validarAssinaturaPorUsuario(Long idDocumento, Long idUsuario);

}
