package br.com.centralit.api.dao;

import java.util.Collection;

import br.com.centralit.api.model.TipoProcessoPlanoClassificacao;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAO;

public interface TipoProcessoPlanoClassificacaoDao extends CitGenericDAO {

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por listar através do id do tipoProcesso
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * @return Collection<TipoProcessoPlanoClassificacao>
	 */
	Collection<TipoProcessoPlanoClassificacao> findPorIdTipoProcesso(Long idTipoProcesso);
}
