package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import com.googlecode.genericdao.search.Search;

import br.com.centralit.api.dao.JustificativaAcaoProcessoDao;
import br.com.centralit.api.model.JustificativaAcaoProcesso;
import br.com.centralit.api.model.PlanoClassificacao;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 08/02/2016 - 10:12:40
 *
 * @version 1.0.0
 *
 * @author Maycon
 *	
 */
@Repository("justificativaAcaoProcessoGedDao")
public class JustificativaAcaoProcessoDaoHibernate extends CitGenericDAOImpl implements JustificativaAcaoProcessoDao {

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public JustificativaAcaoProcessoDaoHibernate() {

		super(JustificativaAcaoProcesso.class);
	}

	/**
	 *
	 */
	@Override
	public Collection<JustificativaAcaoProcesso> listByIdProcesso(Long idProcesso) {

		Search search = new Search(this.persistentClass);

		search.addFilterEqual("processo.id", idProcesso);

		return this.search(search);
	}
	

	

}
