package br.com.centralit.api.dao.impl;

import java.util.Collection;

import org.springframework.stereotype.Repository;

import br.com.centralit.api.dao.SigiloTipoDocumentoDao;
import br.com.centralit.api.model.SigiloTipoDocumento;
import br.com.centralit.framework.dao.arquitetura.CitGenericDAOImpl;
import br.com.centralit.framework.dao.arquitetura.SearchSeven;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 29/01/2016 - 15:26:37
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Repository("sigiloTipoDocumentoDao")
public class SigiloTipoDocumentoDaoHibernate extends CitGenericDAOImpl implements SigiloTipoDocumentoDao {

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 */
	public SigiloTipoDocumentoDaoHibernate() {

		super(SigiloTipoDocumento.class);
	}

	/**
	 * <p>
	 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
	 * </p>
	 * 
	 * <p>
	 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
	 * </p>
	 * 
	 * Método responsável por
	 * 
	 * @author rogerio.costa
	 * 
	 * @param idTipoProcesso
	 * @return
	 */
	public Collection<SigiloTipoDocumento> findPorIdNivelAcessoTipoDocumento(Long idNivelAcessoTipoDocumento) {

		SearchSeven search = new SearchSeven();

		search.addFilterEqual("nivelAcessoTipoDocumento.id", idNivelAcessoTipoDocumento);

		return this.search(search);

	}

}
