package br.com.centralit.api.service;

import java.util.Collection;

import br.com.centralit.api.model.AnexoProcesso;
import br.com.centralit.api.viewHelper.AnexarProcessoVH;
import br.com.centralit.framework.service.arquitetura.GenericService;

/**
 * 
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 10/02/2016 - 16:45:49
 *
 * @version 1.0.0
 *
 * @author andre.silva
 *
 */
public interface AnexarProcessoService extends GenericService<AnexoProcesso, Long> {

	/**
	 * 
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por
	 *
	 * @author andre.silva
	 *
	 * @param anexarProcessoVH
	 * @return AnexarProcessoVH
	 */
	AnexarProcessoVH save(AnexarProcessoVH anexarProcessoVH);
	
	/**
	 * 
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por
	 *
	 * @author andre.silva
	 *
	 * @param id
	 * @return Collection<AnexoProcesso> 
	 */
	Collection<AnexoProcesso> findByIdProcesso(Long id);
	
	
	/**
	 * 
	 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	 *
	 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	 *
	 * Método responsável por
	 *
	 * @author andre.silva
	 *
	 * @param anexarProcessoVH
	 * @return
	 */
	 boolean removerProcessoAnexado(AnexarProcessoVH anexarProcessoVH);
	
	
	 /**
	  * 
	  * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	  *
	  * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	  *
	  * Método responsável por
	  *
	  * @author andre.silva
	  *
	  * @param id
	  * @return
	  */
	 Collection<AnexoProcesso> findByIdAnexoProcesso(Long id);
	 
	 
	 /**
	  * 
	  * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
	  *
	  * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
	  *
	  * Método responsável por
	  *
	  * @author andre.silva
	  *
	  * @param anexarProcessoVH
	  */
	 void validarExistenciaAnexo(AnexarProcessoVH anexarProcessoVH);
	

}
