package br.com.centralit.api.service;

import br.com.centralit.api.model.Assinatura;
import br.com.centralit.framework.service.arquitetura.GenericService;


/**
 * <p><b>Title: </b></p>
 * <p><b>Description: </b></p>
 * 
 * @since 22/04/2016 - 11:48:53
 * @author rogerio.cassimiro
 *	
 */
public interface AssinaturaService extends GenericService<Assinatura, Long>{

	Assinatura saveAssinaturaInterna(Assinatura entity);

	/**
	 * Método responsável por validar se o usuário já teve assinatura anterior para o documento informado
	 * @author rogerio.cassimiro
	 * @return {@link Boolean}
	 */
	Boolean validarAssinaturaPorUsuario(Long idDocumento);
}