package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.InteressadoDocumentoDao;
import br.com.centralit.api.model.InteressadoDocumento;
import br.com.centralit.api.service.InteressadoDocumentoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 07/03/2016 - 16:08:30
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("interessadoDocumentoService")
public class InteressadoDocumentoServiceImpl extends GenericServiceImpl<InteressadoDocumento, Long> implements InteressadoDocumentoService {

	/** Atributo interessadoDocumentoDao. */
	private InteressadoDocumentoDao interessadoDocumentoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param interessadoDocumentoDao
	 */
	@Autowired
	public InteressadoDocumentoServiceImpl( InteressadoDocumentoDao interessadoDocumentoDao ) {

		this.dao = interessadoDocumentoDao;

		this.interessadoDocumentoDao = interessadoDocumentoDao;

	}

	@Override
	public boolean removeById(Long id) {

		InteressadoDocumento interessadoDocumento = this.getReference(id);

		interessadoDocumento.setDocumentoGedRemocao(interessadoDocumento.getDocumentoGed());

		interessadoDocumento.setDocumentoGed(null);

		return super.removeById(id);
	}

}
