package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.TemplatePadraoDao;
import br.com.centralit.api.model.TemplatePadrao;
import br.com.centralit.api.service.TemplatePadraoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 04/02/2016 - 15:50:52
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("tempatePadraoService")
public class TemplatePadraoServiceImpl extends GenericServiceImpl<TemplatePadrao, Long> implements TemplatePadraoService {

	/** Atributo templatePadraoDao. */
	private TemplatePadraoDao templatePadraoDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param templatePadraoDao
	 */
	@Autowired
	public TemplatePadraoServiceImpl( TemplatePadraoDao templatePadraoDao ) {
		
		this.dao = templatePadraoDao;

		this.templatePadraoDao = templatePadraoDao;
	}

}
