package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import br.com.centralit.api.dao.TemporalidadeDao;
import br.com.centralit.api.model.Temporalidade;
import br.com.centralit.api.service.TemporalidadeService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 16/02/2016 - 16:41:07
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Service("temporalidadeService")
public class TemporalidadeServiceImpl extends GenericServiceImpl<Temporalidade, Long> implements TemporalidadeService {

	/** Atributo temporalidadeDao. */
	private TemporalidadeDao temporalidadeDao;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param temporalidadeDao
	 */
	@Autowired
	public TemporalidadeServiceImpl( TemporalidadeDao temporalidadeDao ) {
		
		this.dao = temporalidadeDao;

		this.temporalidadeDao = temporalidadeDao;
	}

}
