package br.com.centralit.api.service.impl;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Qualifier;
import org.springframework.stereotype.Service;
import org.springframework.validation.Validator;

import br.com.centralit.api.dao.TipoDocumentoPlanoClassificacaoDao;
import br.com.centralit.api.model.TipoDocumentoPlanoClassificacao;
import br.com.centralit.api.service.TipoDocumentoPlanoClassificacaoService;
import br.com.centralit.framework.service.arquitetura.GenericServiceImpl;

@Service("tipoDocumentoPlanoClassificacaoService")
public class TipoDocumentoPlanoClassificacaoServiceImpl extends GenericServiceImpl<TipoDocumentoPlanoClassificacao, Long> implements TipoDocumentoPlanoClassificacaoService {

    private TipoDocumentoPlanoClassificacaoDao tipoDocumentoPlanoClassificacaoDao;

    @Autowired
	public TipoDocumentoPlanoClassificacaoServiceImpl(TipoDocumentoPlanoClassificacaoDao tipoDocumentoPlanoClassificacaoDao,  @Qualifier("tipoDocumentoPlanoClassificacaoValidator") Validator validator) {
    	this.dao = tipoDocumentoPlanoClassificacaoDao;
        this.tipoDocumentoPlanoClassificacaoDao = tipoDocumentoPlanoClassificacaoDao;
    	this.validator = validator;
	}
    
}
