package br.com.centralit.api.service.validation;

import org.springframework.stereotype.Component;
import org.springframework.validation.Errors;
import org.springframework.validation.ValidationUtils;
import org.springframework.validation.Validator;

import br.com.centralit.api.model.TipoProcessoPlanoClassificacao;
import br.com.centralit.framework.exception.CodigoErro;

@Component("tipoProcessoPlanoClassificacaoValidator")
public class TipoProcessoPlanoClassificacaoValidator implements Validator {

    @Override
	public boolean supports(Class<?> clazz) {

		return TipoProcessoPlanoClassificacao.class.isAssignableFrom(clazz);
	}

	@Override
	public void validate(Object target, Errors errors) {                  
                         
	}
}

