package br.com.centralit.api.viewHelper;

import java.io.Serializable;
import java.util.Collection;
import java.util.List;

import br.com.centralit.api.model.AnexoProcesso;
import br.com.centralit.api.model.Processo;
import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

/**
 * 
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 09/02/2016 - 15:03:55
 * 
 * @version 1.0.0
 * 
 * @author andre.silva
 * 
 */
public class AnexarProcessoVH implements Serializable {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 1949960932533171837L;

	/** Atributo gruposProcessoList. */
	@JsonView({ Views.AnexarProcesso.class })
	private List<AnexoProcesso> listaProcessoAnexado;
	
	@JsonView({ Views.AnexarProcesso.class })
	private Collection<AnexoProcesso> listRemoverAnexado;

	/** Atributo Proceso Pai */
	@JsonView({ Views.AnexarProcesso.class })
	private Processo processo;
	
	/**Atributo idTask**/
	@JsonView({ Views.AnexarProcesso.class })
	private Long idTask;

	/**
	 * Retorna o valor do atributo <code>processo</code>
	 * 
	 * @return <code>Processo</code>
	 */
	public Processo getProcesso() {

		return processo;
	}

	/**
	 * Define o valor do atributo <code>processo</code>.
	 * 
	 * @param processo
	 */
	public void setProcesso(Processo processo) {

		this.processo = processo;
	}

	/**
	 * Retorna o valor do atributo <code>listaProcessoAnexado</code>
	 * 
	 * @return <code>List<AnexoProcesso></code>
	 */
	public List<AnexoProcesso> getListaProcessoAnexado() {

		return listaProcessoAnexado;
	}

	/**
	 * Define o valor do atributo <code>listaProcessoAnexado</code>.
	 * 
	 * @param listaProcessoAnexado
	 */
	public void setListaProcessoAnexado(List<AnexoProcesso> listaProcessoAnexado) {

		this.listaProcessoAnexado = listaProcessoAnexado;
	}

	
	/**
	 * Retorna o valor do atributo <code>listRemoverAnexado</code>
	 *
	 * @return <code>Collection<AnexoProcesso></code>
	 */
	public Collection<AnexoProcesso> getListRemoverAnexado() {
	
		return listRemoverAnexado;
	}

	
	/**
	 * Define o valor do atributo <code>listRemoverAnexado</code>.
	 *
	 * @param listRemoverAnexado 
	 */
	public void setListRemoverAnexado(Collection<AnexoProcesso> listRemoverAnexado) {
	
		this.listRemoverAnexado = listRemoverAnexado;
	}

	
	/**
	 * Retorna o valor do atributo <code>idTask</code>
	 *
	 * @return <code>Long</code>
	 */
	public Long getIdTask() {
	
		return idTask;
	}

	
	/**
	 * Define o valor do atributo <code>idTask</code>.
	 *
	 * @param idTask 
	 */
	public void setIdTask(Long idTask) {
	
		this.idTask = idTask;
	}

}
