package br.com.centralit.api.viewHelper;

import java.io.Serializable;
import java.util.Collection;

import br.com.centralit.api.model.ConfiguracaoUsuarioUnidade;
import br.com.centralit.api.model.EstruturaOrganizacionalECM;
import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

public class ConfiguracaoUnidadeUsuarioVH implements Serializable {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 3317566795980257738L;

	/** Atributo listaConfiguracaoUsuarioUnidade. */
	@JsonView({ Views.ConfiguracaoUsuarioUnidadeEditView.class })
	private Collection<ConfiguracaoUsuarioUnidade> listaConfiguracaoUsuarioUnidade;

	/** Atributo usuarioSIGAD. */
	@JsonView({ Views.ConfiguracaoUsuarioUnidadeEditView.class })
	private EstruturaOrganizacionalECM estruturaOrganizacionalECM;

	/**
	 * Retorna o valor do atributo <code>listaConfiguracaoUsuarioUnidade</code>
	 * 
	 * @return <code>Collection<ConfiguracaoUsuarioUnidade></code>
	 */
	public Collection<ConfiguracaoUsuarioUnidade> getListaConfiguracaoUsuarioUnidade() {

		return listaConfiguracaoUsuarioUnidade;
	}

	/**
	 * Define o valor do atributo <code>listaConfiguracaoUsuarioUnidade</code>.
	 * 
	 * @param listaConfiguracaoUsuarioUnidade
	 */
	public void setListaConfiguracaoUsuarioUnidade(Collection<ConfiguracaoUsuarioUnidade> listaConfiguracaoUsuarioUnidade) {

		this.listaConfiguracaoUsuarioUnidade = listaConfiguracaoUsuarioUnidade;
	}

	/**
	 * Retorna o valor do atributo <code>estruturaOrganizacionalECM</code>
	 * 
	 * @return <code>EstruturaOrganizacionalECM</code>
	 */
	public EstruturaOrganizacionalECM getEstruturaOrganizacionalECM() {

		return estruturaOrganizacionalECM;
	}

	/**
	 * Define o valor do atributo <code>estruturaOrganizacionalECM</code>.
	 * 
	 * @param estruturaOrganizacionalECM
	 */
	public void setEstruturaOrganizacionalECM(EstruturaOrganizacionalECM estruturaOrganizacionalECM) {

		this.estruturaOrganizacionalECM = estruturaOrganizacionalECM;
	}

}
