package br.com.centralit.api.viewHelper;

import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>CredencialUsuarioVH
 * </p>
 * 
 * <p>
 * <b>Description: </b> VH que define a credencial do usuário com base nas ações do sistema.
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 16/03/2016 - 15:00:29
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
public class CredencialUsuarioVH {

	/** Atributo id. */
	@JsonView({ Views.GenericView.class })
	private Long id;

	/** Atributo permiteAtribuirCredencial. */
	@JsonView({ Views.GenericView.class })
	private Boolean permiteAtribuirCredencial;

	/** Atributo permiteRemoverCredencial. */
	@JsonView({ Views.GenericView.class })
	private Boolean permiteRemoverCredencial;

	/**
	 * Retorna o valor do atributo <code>permiteAtribuirCredencial</code>
	 * 
	 * @return <code>Boolean</code>
	 */
	public Boolean getPermiteAtribuirCredencial() {

		return permiteAtribuirCredencial;
	}

	/**
	 * Define o valor do atributo <code>permiteAtribuirCredencial</code>.
	 * 
	 * @param permiteAtribuirCredencial
	 */
	public void setPermiteAtribuirCredencial(Boolean permiteAtribuirCredencial) {

		this.permiteAtribuirCredencial = permiteAtribuirCredencial;
	}

	/**
	 * Retorna o valor do atributo <code>permiteRemoverCredencial</code>
	 * 
	 * @return <code>Boolean</code>
	 */
	public Boolean getPermiteRemoverCredencial() {

		return permiteRemoverCredencial;
	}

	/**
	 * Define o valor do atributo <code>permiteRemoverCredencial</code>.
	 * 
	 * @param permiteRemoverCredencial
	 */
	public void setPermiteRemoverCredencial(Boolean permiteRemoverCredencial) {

		this.permiteRemoverCredencial = permiteRemoverCredencial;
	}

	/**
	 * Retorna o valor do atributo <code>id</code>
	 * 
	 * @return <code>Long</code>
	 */
	public Long getId() {

		return id;
	}

	/**
	 * Define o valor do atributo <code>id</code>.
	 * 
	 * @param id
	 */
	public void setId(Long id) {

		this.id = id;
	}

}
