package br.com.centralit.api.viewHelper;

import java.io.Serializable;
import java.util.Collection;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.Processo;
import br.com.centralit.api.model.ProcessoRelacionado;
import br.com.centralit.framework.json.Views;

import com.fasterxml.jackson.annotation.JsonView;

/**
 * <p><img src="http://centralit.com.br/images/logo_central.png"></p>
 *
 * <p><b>Company: </b> Central IT - Governança Corporativa - </p>
 *
 * <p><b>Title: </b></p>
 *
 * <p><b>Description: </b></p>
 * 
 * <p><b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a></p>
 *
 * <p><b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a></p>	
 * 	
 * @since 07/01/2016 - 10:59:32
 *
 * @version 1.0.0
 *
 * @author maycon.silva
 *	
 */
public class ProcessoRelacionadoVH implements Serializable {

	/** Atributo serialVersionUID. */
	private static final long serialVersionUID = 3317566795980257738L;
	
	/** Atributo processo. */
	
	private Processo processo;


	/** Atributo listaProcessoRelacionado. */
	@JsonView({ Views.GenericView.class })
	private Collection<ProcessoRelacionado> listaProcessoRelacionado;
	@JsonView({ Views.GenericView.class })
	private Collection<ProcessoRelacionado> listRemoverRelacinamento;

	
	
	/**
	 * Retorna o valor do atributo <code>processo</code>
	 *
	 * @return <code>Processo</code>
	 */
	public Processo getProcesso() {
	
		return processo;
	}


	
	/**
	 * Define o valor do atributo <code>processo</code>.
	 *
	 * @param processo 
	 */
	public void setProcesso(Processo processo) {
	
		this.processo = processo;
	}

	
	
	/**
	 * Retorna o valor do atributo <code>listRemoverRelacinamento</code>
	 *
	 * @return <code>Collection<ProcessoRelacionado></code>
	 */
	public Collection<ProcessoRelacionado> getListRemoverRelacinamento() {
	
		return listRemoverRelacinamento;
	}



	
	/**
	 * Define o valor do atributo <code>listRemoverRelacinamento</code>.
	 *
	 * @param listRemoverRelacinamento 
	 */
	public void setListRemoverRelacinamento(Collection<ProcessoRelacionado> listRemoverRelacinamento) {
	
		this.listRemoverRelacinamento = listRemoverRelacinamento;
	}



	/**
	 * Retorna o valor do atributo <code>listaProcessoRelacionado</code>
	 *
	 * @return <code>Collection<ProcessoRelacionado></code>
	 */
	public Collection<ProcessoRelacionado> getListaProcessoRelacionado() {
	
		return listaProcessoRelacionado;
	}



	
	/**
	 * Define o valor do atributo <code>listaProcessoRelacionado</code>.
	 *
	 * @param listaProcessoRelacionado 
	 */
	public void setListaProcessoRelacionado(Collection<ProcessoRelacionado> listaProcessoRelacionado) {
	
		this.listaProcessoRelacionado = listaProcessoRelacionado;
	}

	
	
}
