package net.sourceforge.tess4j.example;

import java.io.File;

import net.sourceforge.tess4j.Tesseract1;
import net.sourceforge.tess4j.TesseractException;
import net.sourceforge.tess4j.ITessAPI.TessOcrEngineMode;

public class TesseractExample {

    public static void main(String[] args) {
        File imageFile = new File("C:\\Users\\allyjunio\\Desktop\\SegundaVia.pdf");
        //Tesseract instance = Tesseract.getInstance();  // JNA Interface Mapping
        Tesseract1 instance = new Tesseract1(); // JNA Direct Mapping
        instance.setDatapath("C:\\Program Files (x86)\\Tesseract-OCR");
        instance.setLanguage("eng");
        
        instance.setOcrEngineMode(TessOcrEngineMode.OEM_TESSERACT_CUBE_COMBINED);
         
        try {
            String result = instance.doOCR(imageFile);            
            System.out.println(result);
        } catch (TesseractException e) {
            System.err.println(e.getMessage());
        }
    }
}