-- CIRO - 18/04/2016 - INICIO

ALTER TABLE anexoimagem DROP CONSTRAINT fk_jrmn20bykidk1pkxu492d4bmx;
ALTER TABLE tarjaassinatura DROP CONSTRAINT fk_9ybqh1qpbp9udjoi9y2jh6sf9;
ALTER TABLE configuracao DROP CONSTRAINT fk_jfyy1uygxmqqng72p83k88q4e;

DROP TABLE anexoimagem;

CREATE TABLE anexoimagem
(
  id bigint NOT NULL,
  databloqueio date,
  datainativo date,
  datacriacao timestamp without time zone NOT NULL,
  dataedicao timestamp without time zone NOT NULL,
  version bigint,
  anexo bytea,
  descricao character varying(300),
  inativador_id bigint,
  autor_id bigint,
  editor_id bigint,
  organizacao_id bigint,
  CONSTRAINT anexoimagem_pkey PRIMARY KEY (id),
  CONSTRAINT fk_5hyw0geaeeh6hnssbssi7htvb FOREIGN KEY (editor_id)
      REFERENCES seguranca_usuario (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk_76rf21tx2q8px4fjbsavu4kva FOREIGN KEY (inativador_id)
      REFERENCES seguranca_usuario (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk_cx5i3h3y5675r622to4rddra3 FOREIGN KEY (autor_id)
      REFERENCES seguranca_usuario (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION,
  CONSTRAINT fk_few35t9tvbqe49wakqts3mt4l FOREIGN KEY (organizacao_id)
      REFERENCES organizacao (id) MATCH SIMPLE
      ON UPDATE NO ACTION ON DELETE NO ACTION
);

INSERT INTO tarjaassinatura(id, databloqueio, datainativo, datacriacao, dataedicao, version, conteudo, descricao, inativador_id, autor_id, editor_id, anexoimagem_id, tipoassinatura_id)
VALUES (NEXTVAL('hibernate_sequence'), NULL, NULL, LOCALTIMESTAMP, LOCALTIMESTAMP, 0, '', '', null, (select id from seguranca_usuario where username = 'admin'), null, null, (select id from dominio where chave = 'tipoAssinatura' and codigo = 1));
INSERT INTO tarjaassinatura(id, databloqueio, datainativo, datacriacao, dataedicao, version, conteudo, descricao, inativador_id, autor_id, editor_id, anexoimagem_id, tipoassinatura_id)
VALUES (NEXTVAL('hibernate_sequence'), NULL, NULL, LOCALTIMESTAMP, LOCALTIMESTAMP, 0, '', '', null, (select id from seguranca_usuario where username = 'admin'), null, null, (select id from dominio where chave = 'tipoAssinatura' and codigo = 2));


-- CIRO - 18/04/2016 - FIM

-- 27/04/2016 ROGERIO CASSIMIRO TARJA PARA DOC E ASSINATURA
CREATE TABLE public.conteudotarja
(
  id bigint NOT NULL,
  conteudocriptografado bytea,
  CONSTRAINT conteudotarja_pkey PRIMARY KEY (id)
)
WITH (
  OIDS=FALSE
);
ALTER TABLE public.conteudotarja
  OWNER TO postgres;

ALTER TABLE assinatura ADD COLUMN conteudotarja_id bigint,
  ADD CONSTRAINT fk_conteudo_tarja FOREIGN KEY (conteudotarja_id)
  REFERENCES conteudotarja (id) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;

ALTER TABLE documentoged
  ADD COLUMN conteudotarja_id bigint,
  ADD CONSTRAINT fk_conteudo_tarja FOREIGN KEY (conteudotarja_id)
  REFERENCES conteudotarja (id) MATCH SIMPLE ON UPDATE NO ACTION ON DELETE NO ACTION;
  -- 27/04/2016 ROGERIO CASSIMIRO


