package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.InteressadoProcesso;
import br.com.centralit.api.service.InteressadoProcessoService;
import br.com.centralit.framework.controller.GenericController;

@Controller
@RequestMapping("/rest/interessadoProcesso")
public class InteressadoProcessoController extends GenericController<InteressadoProcesso> {

	@Autowired
	public InteressadoProcessoController(InteressadoProcessoService interessadoProcessoService) {
		super(interessadoProcessoService);
	}

	@Override
	public Class<ViewsEcm.InteressadoProcessoEdit> getEditView() {
		return ViewsEcm.InteressadoProcessoEdit.class;
	}

	@Override
	public Class<ViewsEcm.InteressadoProcessoList> getListView() {
		return ViewsEcm.InteressadoProcessoList.class;
	}
	
}
