package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.Rodape;
import br.com.centralit.api.service.RodapeService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 *
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 *
 * <p>
 * <b>Title: </b>
 * </p>
 *
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 *
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 09/02/2016 - 09:57:42
 *
 * @version 1.0.0
 *
 * @author rogerio
 *
 */
@Controller
@RequestMapping("/rest/rodape")
public class RodapeController extends GenericController<Rodape> {

	/** Atributo rodapeService. */
	private RodapeService rodapeService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param rodapeService
	 */
	@Autowired
	public RodapeController( RodapeService rodapeService ) {

		super(rodapeService);

		this.rodapeService = rodapeService;

	}

	@Override
	public Class<ViewsEcm.RodapeEditView> getEditView() {

		return ViewsEcm.RodapeEditView.class;
	}

	@Override
	public Class<ViewsEcm.RodapeListView> getListView() {

		return ViewsEcm.RodapeListView.class;
	}

	@Override
	public Class<ViewsEcm.RodapeAutoCompleteView> getAutoCompleteView() {

		return ViewsEcm.RodapeAutoCompleteView.class;
	}

}
