package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.model.Sigilo;
import br.com.centralit.api.service.SigiloService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 03/03/2016 - 08:57:53
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Controller
@RequestMapping("/rest/sigilo")
public class SigiloController extends GenericController<Sigilo> {

	/** Atributo sigiloService. */
	private SigiloService sigiloService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param sigiloService
	 */
	@Autowired
	public SigiloController( SigiloService sigiloService ) {

		super(sigiloService);

		this.sigiloService = sigiloService;
	}

}
