package br.com.centralit.controller;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Controller;
import org.springframework.web.bind.annotation.RequestMapping;

import br.com.centralit.api.framework.json.ViewsEcm;
import br.com.centralit.api.model.TemplatePadrao;
import br.com.centralit.api.service.TemplatePadraoService;
import br.com.centralit.framework.controller.GenericController;

/**
 * <p>
 * <img src="http://centralit.com.br/images/logo_central.png">
 * </p>
 * 
 * <p>
 * <b>Company: </b> Central IT - Governança Corporativa -
 * </p>
 * 
 * <p>
 * <b>Title: </b>
 * </p>
 * 
 * <p>
 * <b>Description: </b>
 * </p>
 * 
 * <p>
 * <b>Iniciativa(s):</b> <a href="LINK_PORTAL">NUMERO_INICIATIVA</a>
 * </p>
 * 
 * <p>
 * <b>Regra(s) de negócio:</b> <a href="LINK_PORTAL">NUMERO_REGRA_DE_NEGOCIO</a>
 * </p>
 * 
 * @since 04/02/2016 - 15:52:36
 * 
 * @version 1.0.0
 * 
 * @author rogerio.costa
 * 
 */
@Controller
@RequestMapping("/rest/templatePadrao")
public class TemplatePadraoController extends GenericController<TemplatePadrao> {

	/** Atributo templatePadraoService. */
	private TemplatePadraoService templatePadraoService;

	/**
	 * Responsável pela criação de novas instâncias desta classe.
	 * 
	 * @param templatePadraoService
	 */
	@Autowired
	public TemplatePadraoController( TemplatePadraoService templatePadraoService ) {

		super(templatePadraoService);

		this.templatePadraoService = templatePadraoService;

	}

	@Override
	public Class<ViewsEcm.TemplatePadraoEditView> getEditView() {

		return ViewsEcm.TemplatePadraoEditView.class;
	}

	@Override
	public Class<ViewsEcm.TemplatePadraoListView> getListView() {

		return ViewsEcm.TemplatePadraoListView.class;
	}

}
