'use strict';

citApp.controller('GerenciarProcessoViewController', [ '$scope', '$translate', '$timeout', 'GerenciarProcessoRepository', '$rootScope', 'DocumentoGedRepository', 'ProcessoRepository', 'NivelAcessoTipoDocumentoRepository','UnidadeProcessoRepository',
               function GerenciarProcessoController($scope,   $translate,   $timeout,   GerenciarProcessoRepository,   $rootScope,   DocumentoGedRepository,  ProcessoRepository, NivelAcessoTipoDocumentoRepository, UnidadeProcessoRepository ) {

	$scope.processo = {};
	
	$scope.isDocumentoEdit = false;
	
	$scope.isHistoricoProcesso = true;

    $scope.getProcessoRelacionado = function(processoView){
    	
    		$scope.isProcessoView = true;
    		
    		$scope.isHistoricoProcessoView = true;
    	
	    	$scope.processo = processoView;
	 
	    	$scope.setLoadingGet(true);
	    	
	    	
	
			$timeout(function(){
				ProcessoRepository.get($scope.processo.id).then(function(result) {
			        $scope.processo = result.originalElement;
			    });
			}, 100);
			
			$scope.atualizarAtribuicaoProcesso($scope.processo.id);
	
			angular.element( "#widget-historico" ).scope().atualizar($scope.processo.id);
	        $scope.setLoading(false);
       }; 
       
	   	// FECHA WIDGET E INICIA WIDGET PADR�O
		$scope.closeWidget = function() {    		
			$scope.widgetExemploIsCollapsed = false;
			//WIDGET PRADAO 
			 $scope.isHistoricoProcessoView = true;
			 $scope.isDocumentoEditView = false;
			 $scope.isCancelarDocumentoView = false;
		};

	    $scope.editDocument = function(editarDocumento, edit){

	    	$scope.isDocumentoEditView = true;
	    	$scope.isCancelarDocumentoView = false;
	        
			$timeout(function() {
				angular.element("#editDocumentoViewGed").scope().getDocumentoGedView(editarDocumento.id, false);
			});
			
	    };
	    
		$scope.getCancelamentoDocumento = function(documento){

			angular.element("#cancelarDocumentoView").scope().getCancelamentoDocumentoView(documento.cancelamentoDocumentoGed.id);
			$scope.isCancelarDocumentoView = true;
			$scope.isDocumentoEditView = false;
		};
    
	    $scope.getProcessoAnexado = function(processoView){
	    	$scope.processo = processoView;
	 
	    	$scope.setLoadingGet(true);
	
			$timeout(function(){
				ProcessoRepository.get($scope.processo.id).then(function(result) {
			        $scope.processo = result.originalElement;
			    });
			}, 100);
	
	        $scope.setLoading(false);
       };
       
	$scope.atualizarAtribuicaoProcesso = function (idProcesso){
		
		$scope.idProcesso = idProcesso;
   		ProcessoRepository.verificarAtribuicaoProcessoPrimeiroAcesso(idProcesso).then( function ( result ) {
   			
   			if(result){
   				
   				$scope.showAlert('warning', $translate.instant('ECM.MSG.ATRIBUICAO_PRIMEIRO_ACESSO'));
   			}
   			if($scope.usuarioLogado.unidade){
   				
   				UnidadeProcessoRepository.findByIdProcesso($scope.idProcesso).then(function(result){
   					
   					$scope.processoUnidades = result;
   					
   					angular.forEach(result, function (item) {
   						
   						if($scope.usuarioLogado.unidade && item.unidade.id === $scope.usuarioLogado.unidade.id){
   							
   							$scope.unidadeProcesso = item.originalElement;
   						}
   						
   					});
   					
   				});
   			}
   			
   		});
	}

}]);
