'use strict';

citApp.factory('AnexarProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function AnexarProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/anexarProcessos');
    	
		this.save = function(AnexarProcessoVH) {
			return restangularEcm.all(this.route + '/save').post(AnexarProcessoVH).then();
		};
		
	  	this.findByIdProcesso = function(idProcesso) {
    		return restangularEcm.one(this.route).getList("findByIdProcesso", {idProcesso : idProcesso}).then();
    	};
    	
    	this.findByIdAnexoProcesso = function(idProcesso) {
    		return restangularEcm.one(this.route).getList("findByIdAnexoProcesso", {idProcesso : idProcesso}).then();
    	};
    	
    	this.removeProcessoAnexado = function(AnexarProcessoVH){
			return restangularEcm.all(this.route + '/removeProcessoAnexado').post(AnexarProcessoVH).then();
		};
 
    }

    AbstractRepository.extend(AnexarProcessoRepository);

    return new AnexarProcessoRepository();
}]);
