'use strict';

citApp.factory('AssinaturaRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function AssinaturaRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/assinatura');
    	
    	this.saveAssinaturaInterna = function(assinatura) {
			return this.restangular.all(this.route + '/saveAssinaturaInterna').post(assinatura);
		};
		
		this.validarAssinaturaPorUsuario = function(idDocumento) {
			return this.restangular.one(this.route + '/validarAssinaturaPorUsuario').get({idDocumento:idDocumento});
		};
    }

    AbstractRepository.extend(AssinaturaRepository);

    return new AssinaturaRepository();
}]);
