'use strict';

citApp.factory('CredencialProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function CredencialProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/credencialProcesso');
    	
		this.findGrupoUsuarioByName = function(nome) {
			return restangularEcm.one(this.route).getList("findGrupoUsuarioByName", {"nome": nome}).then();
		};
		
		this.saveCredencial = function(credenciais) {
			return restangularEcm.all(this.route + '/saveCredencial').post(credenciais).then();
		};
		
	 	this.findCredenciaisHerdadas = function(idProcesso) {
			return restangularEcm.one(this.route).getList("findCredenciaisHerdadas",  {idProcesso : idProcesso}).then();
		};
		
	 	this.findByIdProcesso = function(idProcesso) {
			return restangularEcm.one(this.route).getList("findByIdProcesso",  {idProcesso : idProcesso}).then();
		};
		
		this.findByIdProcesso = function(idProcesso) {
			return restangularEcm.one(this.route).getList("findByIdProcesso",  {idProcesso : idProcesso}).then();
		};
		
		this.validarAcessoPesquisa = function (idProcessInstance) {
			return restangularEcm.all(this.route + '/validarAcessoPesquisa').post(idProcessInstance);
	     };
		
    }

    AbstractRepository.extend(CredencialProcessoRepository);

    return new CredencialProcessoRepository();
}]);
