'use strict';

citApp.factory('DocumentoGedRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function DocumentoGedRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/documentoGed');
    	
    	this.findByIdDocumentoTodasVersoes = function(idDocumento) {
			return restangularEcm.all(this.route + '/findByIdDocumentoTodasVersoes').getList({"idDocumento" : idDocumento}).then();
		};
		
		this.validaQuantidadeVersoes = function(idDocumento) {
			return restangularEcm.one(this.route + '/validaQuantidadeVersoes').get({"idDocumento" : idDocumento}).then();
		};
		
		this.removerDocumento = function(idDocumento) {
			return restangularEcm.one(this.route + '/removerDocumento').get({"idDocumento" : idDocumento}).then();
		};
		
		this.findByProcessoSigilo = function(idProcesso) {
			return restangularEcm.all(this.route + '/findByProcessoSigilo').getList({"idProcesso" : idProcesso}).then();
			};
    }

    AbstractRepository.extend(DocumentoGedRepository);

    return new DocumentoGedRepository();
}]);
