'use strict';

citApp.factory('HistoricoAlteracaoProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function HistoricoAlteracaoProcessoRepository() {
        this.saveParams = function(historico) {
        	return restangularEcm.all(this.route + '/saveParams').post(historico);
        };
        
        this.countByProcesso = function(idProcesso) {
        	return restangularEcm.one(this.route + '/countByProcesso').get({"idProcesso" : idProcesso});
        };
        
        this.findByProcessoPaginado = function(idProcesso, inicio, max) {
        	return restangularEcm.one(this.route + '/findByProcessoPaginado').get({"idProcesso" : idProcesso, "inicio" : inicio, "max" : max});
        };
        
    	AbstractRepository.call(this, restangularEcm, 'rest/historicoAlteracaoProcesso');
    }

    AbstractRepository.extend(HistoricoAlteracaoProcessoRepository);

    return new HistoricoAlteracaoProcessoRepository();
}]);