'use strict';

citApp.factory('HistoricoCredencialProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function HistoricoCredencialProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/historicoCredencialProcesso');
    	
		this.findByIdProcessoAndIdProcessoRemocao = function(idProcesso) {
			return restangularEcm.one(this.route).getList("findByIdProcessoAndIdProcessoRemocao", {"idProcesso": idProcesso}).then();
		};

    	
    }

    AbstractRepository.extend(HistoricoCredencialProcessoRepository);

    return new HistoricoCredencialProcessoRepository();
}]);
