'use strict';

citApp.factory('NivelAcessoTipoProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function NivelAcessoTipoProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/nivelAcessoTipoProcesso');
    	

    	this.findPorIdTipoProcesso = function(idTipoProcesso) {
    		return restangularEcm.one(this.route).getList("findPorIdTipoProcesso",   {idTipoProcesso : idTipoProcesso}).then();
    	};
    }

    AbstractRepository.extend(NivelAcessoTipoProcessoRepository);

    return new NivelAcessoTipoProcessoRepository();
}]);
