'use strict';

citApp.factory('ProcessoRelacionadoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function ProcessoRelacionadoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/processoRelacionado');
    	
    	this.save = function(processoRelacionadoVH) {
			return restangularEcm.all(this.route + '/salvar').post(processoRelacionadoVH).then();
		};
		
		
    	this.findByIdProcesso = function(idProcesso) {
    		return restangularEcm.one(this.route).getList("findByIdProcesso", {idProcesso : idProcesso}).then();
    	};
 
    	this.removeProcessoRelacionado = function(processoRelacionadoVH){
			return restangularEcm.all(this.route + '/removeProcessoRelacionado').post(processoRelacionadoVH).then();
		};
   }

    AbstractRepository.extend(ProcessoRelacionadoRepository);

    return new ProcessoRelacionadoRepository();
}]);
