'use strict';

citApp.factory('TarjaAssinaturaRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function TarjaAssinaturaRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/tarjaAssinatura');

		this.save = function(tarjaAssinatura) {
			return restangularEcm.all(this.route + "/saveTarjaAssinatura").post(tarjaAssinatura).then();
		};
		this.removeImagem = function(tarjaAssinatura) {
			return restangularEcm.all(this.route + "/removeImagem").post(tarjaAssinatura).then();
		};
		
    	this.getTarjaAssinaturaInterna = function() {
    		return this.restangular.one(this.route + "/getTarjaAssinaturaInterna").get();
        };
		
    }

    AbstractRepository.extend(TarjaAssinaturaRepository);

    return new TarjaAssinaturaRepository();
}]);
