'use strict';

citApp.factory('TipoProcessoRepository', ['RestangularEcm', 'AbstractRepository', function (restangularEcm, AbstractRepository) {

    function TipoProcessoRepository() {
    	AbstractRepository.call(this, restangularEcm, 'rest/tipoProcesso');  	
    	
     	this.verificaDuplicidadeNome = function(nome) {
			return restangularEcm.one(this.route + '/verificaDuplicidadeNome').get({"nome": nome}).then();
		};
    }

    AbstractRepository.extend(TipoProcessoRepository);

    return new TipoProcessoRepository();
}]);
